#ifndef CMWCALIBEAMPOS_H
#define CMWCALIBEAMPOS_H

#include "cmwidget.h"
#include <QTableWidgetItem>
#include "export_laser_power_cali.h"
namespace Ui
{
class CMWCaliBeamRate;
}

class LASER_POWER_CALI_EXPORT CMWCaliBeamRate : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWCaliBeamRate(QWidget* parent = 0);
    ~CMWCaliBeamRate();
    void MFresh();
    void MApply();
    double m_dCurWidth;
private slots:
    void on_tableWidget_cellClicked(int row, int column);

    void on_pushButton_Del_clicked();

    void on_pushButton_Add_clicked();

    void on_pushButton_Move_clicked();

private:
    Ui::CMWCaliBeamRate* ui;
};

#endif // CMWCALIBEAMPOS_H
